Returns the team.

GEThttps://api.awork.com/api/v1/teams/{teamId}
GET https://api.awork.com/api/v1/teams/{teamId}

Returns the team. The response includes the team's members and projects.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

teamIdstringRequired
format: uuid

The id of the team.

Query parameters

includeUserIdsbooleanOptional
Default: false

Whether to include the ids of users that are in the team.

includeProjectIdsbooleanOptional
Default: false

Whether to include the ids of projects that are assigned to the team.

Responses

200 OK

application/json

namestringRequired
minLength: 0 maxLength: 255

The team name.

iconstring or nullOptional
minLength: 0 maxLength: 25

The icon of the team. Optional. Possible values: 'attach_money', 'poll', 'golf_course', 'all_inclusive', 'portrait', 'timeline', 'transform', 'description', 'folder', 'computer', 'web', 'phone_iphone', 'cloud', 'local_movies', 'shopping_cart', 'brush', 'image', 'camera_alt', 'movie_creation', 'public', 'whatshot', 'extension', 'explore', 'lock', 'settings', 'stars', 'store', 'school', 'local_bar', 'question_answer', 'favorite', 'work', 'flight_takeoff', 'map', 'local_dining'.

colorstring or nullOptional
minLength: 0 maxLength: 14

The color of the team. Optional. Possible values: 'red', 'coral', 'yellow', 'green', 'teal', 'arctic', 'blue', 'azure', 'purple', 'violet'.

idstringOptional
format: uuid

The id of the team.

createdOnstringOptional
format: date-time

The date this team was created.

createdBystring or nullOptional
format: uuid

The id of the user who created this team.

updatedOnstringOptional
format: date-time

The date this team was last modified.

updatedBystring or nullOptional
format: uuid

The id of the user who last updated this team.

userIdsarray of string or nullOptional

The ids of the users in the team.

projectIdsarray of string or nullOptional

The ids of the projects in the team.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation